AdminProcess (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.AdminProcess interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface AdminProcess

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface AdminProcess

extends LogicalElement

This model object represents the Admin Process tab in the admin console in domino server.

Naming Rules:
  0="parent" 1="managedSystemName"
Persistable:
  true
Table Name:
  ADMINPROC
Display Name:
  parent

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getExecuteOnceADayRequestsAt()` The field AdminPDailyTime in the server document.
`java.lang.String` | `getInterval()` The field AdminPInterval in the server document.
`java.lang.String` | `getIntervalBetweenPurgingMailFileAndStoring()` The field AdminPMailfileDelInt in the server document
`java.lang.String` | `getMailFileMoveExpireAfter()` The field AdminPNameChangeExpiration in the server document.
`int` | `getMaxNThreads()` The field AdminPMaxThreads in the server document.
`DominoServer` | `getParent()` Represents the domino server which contains this object
`java.lang.String` | `getRestartAdminProcessAt()` The field AdminPSuspendEnd in the server document
`java.lang.String` | `getStartDelayedExecution()` The field AdminPDelayedTime in the server document.
`java.lang.String` | `getStartDelayedExecutionAt()` Not filled in by the sensor currently.
`int` | `getStoreAdminProcessLogEntries()` The field AdminPLogSetting in the server document
`java.lang.String` | `getSuspendAdminProcessAt()` The field AdminPSuspendStart in the server document
`boolean` | `hasExecuteOnceADayRequestsAt()`
`boolean` | `hasInterval()`
`boolean` | `hasIntervalBetweenPurgingMailFileAndStoring()`
`boolean` | `hasMailFileMoveExpireAfter()`
`boolean` | `hasMaxNThreads()`
`boolean` | `hasParent()`
`boolean` | `hasRestartAdminProcessAt()`
`boolean` | `hasStartDelayedExecution()`
`boolean` | `hasStartDelayedExecutionAt()`
`boolean` | `hasStoreAdminProcessLogEntries()`
`boolean` | `hasSuspendAdminProcessAt()`
`void` | `setExecuteOnceADayRequestsAt(java.lang.String s)`
`void` | `setInterval(java.lang.String s)`
`void` | `setIntervalBetweenPurgingMailFileAndStoring(java.lang.String s)`
`void` | `setMailFileMoveExpireAfter(java.lang.String s)`
`void` | `setMaxNThreads(int s)`
`void` | `setParent(DominoServer s)`
`void` | `setRestartAdminProcessAt(java.lang.String s)`
`void` | `setStartDelayedExecution(java.lang.String s)`
`void` | `setStartDelayedExecutionAt(java.lang.String s)`
`void` | `setStoreAdminProcessLogEntries(int s)`
`void` | `setSuspendAdminProcessAt(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(DominoServer s)

### getParent

    DominoServer getParent()
                           throws AttributeNotSetException

  Represents the domino server which contains this object

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### hasParent

    boolean hasParent()

### setMaxNThreads

    void setMaxNThreads(int s)

### getMaxNThreads

    int getMaxNThreads()
                       throws AttributeNotSetException

  The field AdminPMaxThreads in the server document.

  Throws:
    `AttributeNotSetException`

### hasMaxNThreads

    boolean hasMaxNThreads()

### setInterval

    void setInterval(java.lang.String s)

### getInterval

    java.lang.String getInterval()
                                 throws AttributeNotSetException

  The field AdminPInterval in the server document.

  Throws:
    `AttributeNotSetException`

### hasInterval

    boolean hasInterval()

### setExecuteOnceADayRequestsAt

    void setExecuteOnceADayRequestsAt(java.lang.String s)

### getExecuteOnceADayRequestsAt

    java.lang.String getExecuteOnceADayRequestsAt()
                                                  throws AttributeNotSetException

  The field AdminPDailyTime in the server document.

  Throws:
    `AttributeNotSetException`

### hasExecuteOnceADayRequestsAt

    boolean hasExecuteOnceADayRequestsAt()

### setStoreAdminProcessLogEntries

    void setStoreAdminProcessLogEntries(int s)

### getStoreAdminProcessLogEntries

    int getStoreAdminProcessLogEntries()
                                       throws AttributeNotSetException

  The field AdminPLogSetting in the server document

  Throws:
    `AttributeNotSetException`

### hasStoreAdminProcessLogEntries

    boolean hasStoreAdminProcessLogEntries()

### setSuspendAdminProcessAt

    void setSuspendAdminProcessAt(java.lang.String s)

### getSuspendAdminProcessAt

    java.lang.String getSuspendAdminProcessAt()
                                              throws AttributeNotSetException

  The field AdminPSuspendStart in the server document

  Throws:
    `AttributeNotSetException`

### hasSuspendAdminProcessAt

    boolean hasSuspendAdminProcessAt()

### setRestartAdminProcessAt

    void setRestartAdminProcessAt(java.lang.String s)

### getRestartAdminProcessAt

    java.lang.String getRestartAdminProcessAt()
                                              throws AttributeNotSetException

  The field AdminPSuspendEnd in the server document

  Throws:
    `AttributeNotSetException`

### hasRestartAdminProcessAt

    boolean hasRestartAdminProcessAt()

### setIntervalBetweenPurgingMailFileAndStoring

    void setIntervalBetweenPurgingMailFileAndStoring(java.lang.String s)

### getIntervalBetweenPurgingMailFileAndStoring

    java.lang.String getIntervalBetweenPurgingMailFileAndStoring()
                                                                 throws AttributeNotSetException

  The field AdminPMailfileDelInt in the server document

  Throws:
    `AttributeNotSetException`

### hasIntervalBetweenPurgingMailFileAndStoring

    boolean hasIntervalBetweenPurgingMailFileAndStoring()

### setStartDelayedExecution

    void setStartDelayedExecution(java.lang.String s)

### getStartDelayedExecution

    java.lang.String getStartDelayedExecution()
                                              throws AttributeNotSetException

  The field AdminPDelayedTime in the server document.

  Throws:
    `AttributeNotSetException`

### hasStartDelayedExecution

    boolean hasStartDelayedExecution()

### setStartDelayedExecutionAt

    void setStartDelayedExecutionAt(java.lang.String s)

### getStartDelayedExecutionAt

    java.lang.String getStartDelayedExecutionAt()
                                                throws AttributeNotSetException

  Not filled in by the sensor currently.

  Throws:
    `AttributeNotSetException`

### hasStartDelayedExecutionAt

    boolean hasStartDelayedExecutionAt()

### setMailFileMoveExpireAfter

    void setMailFileMoveExpireAfter(java.lang.String s)

### getMailFileMoveExpireAfter

    java.lang.String getMailFileMoveExpireAfter()
                                                throws AttributeNotSetException

  The field AdminPNameChangeExpiration in the server document.

  Throws:
    `AttributeNotSetException`

### hasMailFileMoveExpireAfter

    boolean hasMailFileMoveExpireAfter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD